vtkLookupTable16 Class Reference

`#include <vtkLookupTable16.h>`

Inheritance diagram for vtkLookupTable16:
[legend]
Collaboration diagram for vtkLookupTable16:
[legend]

## Public Member Functions

void | Build ()
unsigned short * | GetPointer (const vtkIdType id)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetNumberOfTableValues (vtkIdType number)
| vtkTypeMacro (vtkLookupTable16, vtkLookupTable)
unsigned char * | WritePointer (const vtkIdType id, const int number)

## Static Public Member Functions

static vtkLookupTable16 * | New ()

## Protected Member Functions

| vtkLookupTable16 (int sze=256, int ext=256)
| ~vtkLookupTable16 ()
void | MapScalarsThroughTable2 (void *input, unsigned char *output, int inputDataType, int numberOfValues, int inputIncrement, int outputFormat)

## Protected Attributes

vtkUnsignedShortArray * | Table16

## Constructor & Destructor Documentation

## vtkLookupTable16()

vtkLookupTable16::vtkLookupTable16 | ( | int | sze = 256,
|  | int | ext = 256 )

protected

Referenced by MapScalarsThroughTable2(), New(), and vtkTypeMacro().

## ~vtkLookupTable16()

vtkLookupTable16::~vtkLookupTable16 | ( |  | ) |

protected

## Member Function Documentation

## Build()

void vtkLookupTable16::Build | ( |  | ) |

## GetPointer()

unsigned short * vtkLookupTable16::GetPointer | ( | const vtkIdType | id | ) |

inline

References Table16.

## MapScalarsThroughTable2()

void vtkLookupTable16::MapScalarsThroughTable2 | ( | void * | input,
|  | unsigned char * | output,
|  | int | inputDataType,
|  | int | numberOfValues,
|  | int | inputIncrement,
|  | int | outputFormat )

protected

References vtkLookupTable16().

## New()

vtkLookupTable16 * vtkLookupTable16::New | ( |  | ) |

static

References vtkLookupTable16().

## PrintSelf()

void vtkLookupTable16::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## SetNumberOfTableValues()

void vtkLookupTable16::SetNumberOfTableValues | ( | vtkIdType | number | ) |

References WritePointer().

## vtkTypeMacro()

vtkLookupTable16::vtkTypeMacro | ( | vtkLookupTable16 | ,
|  | vtkLookupTable | )

References vtkLookupTable16().

## WritePointer()

unsigned char * vtkLookupTable16::WritePointer | ( | const vtkIdType | id,
|  | const int | number )

inline

References Table16.

Referenced by SetNumberOfTableValues().

## Member Data Documentation

## Table16

vtkUnsignedShortArray* vtkLookupTable16::Table16

protected

Referenced by GetPointer(), and WritePointer().

The documentation for this class was generated from the following file:

- vtkLookupTable16.h